/*
 * Unique Schlüssel für JPA Entität
 */
package de.ivu.elect.business.niederschrift.entity;
import java.util.function.Function;
import java.util.ArrayList;
import java.util.stream.Collectors;

@javax.enterprise.inject.Vetoed
public class NiederschriftKorrekturUK
implements de.ivu.elect.jee.entity.tk.EntityUK, java.io.Serializable
  {

  private static final long serialVersionUID = 1L;



  public NiederschriftKorrekturUK(
  ) {
    super();


      }

  @Override
  public int hashCode() {
        int result = 1;
    
    
    return result;
  }

  @Override
  public boolean equals(Object obj) {
    if (this == obj) {
      return true;
    }

    if (obj == null) {
      return false;
    }

    
    if (getClass() != obj.getClass()) {
      return false;
    }

    
    return true;
  }

  @Override
  public String getEntityMessageKey() {
    return NiederschriftKorrekturConstants.MESSAGE_KEY_ENTITY_EINZAHL;
  }

  @Override
  public java.util.List<de.ivu.elect.jee.entity.tk.EntityFieldValue> getAllEntityFieldValues() {
    java.util.List<de.ivu.elect.jee.entity.tk.EntityFieldValue> result = new java.util.ArrayList<>();

    result.addAll(getEntityFieldValuesForEntity());
    return result;
  }

  @Override
  public java.util.List<de.ivu.elect.jee.entity.tk.EntityFieldValue> getEntityFieldValuesForEntity() {
            return java.util.Collections.emptyList();
      }
  
    @Override
  public String toString() {
    return "NiederschriftKorrekturUK[" + toStringParameter() + "]";
  }

            protected String toStringParameter() {
              String result = ""

                                                ;
                          return result;
            
            }




          public String allUKFields() {
    return String.join(", ", getAllUKFieldValues().stream()
         .map(object -> (object != null ? object.toString() : null))
         .collect(Collectors.toList()));
    }

   protected ArrayList<Object> getAllUKFieldValues() {
              ArrayList<Object> list = new ArrayList<>();
          return list;
   }

            public static <E extends NiederschriftKorrektur> java.util.Map<NiederschriftKorrekturUK, E> mappeNiederschriftKorrekturNachUK(java.util.Collection<E> entities) {

                return entities.stream().collect(java.util.stream.Collectors.toMap(NiederschriftKorrektur::getNiederschriftKorrekturUK, Function.<E>identity(), (u,v)->v));
             }


                public static Function<NiederschriftKorrektur, NiederschriftKorrekturUK> getNiederschriftKorrekturToUKFunction() {
                return NiederschriftKorrektur::getNiederschriftKorrekturUK;
                }

}
